// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : User
 *-----------------------------------------------------------------------------
 *
 * @Description              : User的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
type User struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"User-PlantNr"`
	UserId     string        `xorm:"pk varchar(40) 'UserId'" json:"User-UserId"`
	Name       string        `xorm:"varchar(40) 'Name'" json:"User-Name"`
	NickName   string        `xorm:"varchar(40) 'NickName'" json:"User-NickName"`
	DepId      int           `xorm:"int 'DepId'" json:"User-DepId"`
	Phone      string        `xorm:"varchar(20) 'Phone'" json:"User-Phone"`
	Avatar     string        `xorm:"varchar(128) 'Avatar'" json:"User-Avatar"`
	Email      string        `xorm:"varchar(40) 'Email'" json:"User-Email"`
	Status     string        `xorm:"varchar(1) 'Status'" json:"User-Status"`
	Gender     string        `xorm:"varchar(1) 'Gender'" json:"User-Gender"`
	Position   string        `xorm:"varchar(40) 'Position'" json:"User-Position"`
	Role       string        `xorm:"varchar(40) 'Role'" json:"User-Role"`
	Remark     string        `xorm:"varchar(100) 'Remark'" json:"User-Remark"`
	Password   string        `xorm:"varchar(255) 'Password'" json:"User-Password"`
	RoleId     int           `xorm:"int 'RoleId'" json:"User-RoleId"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"User-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"User-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"User-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-13 13:08:46
 *
 ******************************************************************************/
func (self *User) GetKey() core.PK {
	return core.PK{self.PlantNr, self.UserId}
}
